@import model._

@import model.forms.EditTeamForm
@(id: Option[Int], form: Form[EditTeamForm], parks: Seq[Park], milrTeams: Seq[Team])(implicit req: MessagesRequest[AnyContent], user: User)

@implicitField = @{
    helper.FieldConstructor(views.html.templates._field_constructor.f)
}

<!DOCTYPE html>

<html lang="en">
    <head>
    @views.html.templates._common_headers("Edit Team")
    </head>
    <body>
        @views.html.templates._navbar()(req, Some(user))

        <div class="container">
            <h3>@{if(id.isDefined) "Edit" else "Create"} Team</h3>
            <hr />
            @if(form.hasGlobalErrors) {
                @for(error <- form.globalErrors) {
                    @for(msg <- error.messages) {
                        <p class="text-danger">@msg</p>
                    }
                }
            }
            @helper.form(action = routes.AdminController.submitEditTeamForm(id)) {
                <div class="row">
                    @if(id.isDefined) {
                        <div class="col-sm-2">
                            <label for="fake-team-id">ID</label>
                            <input class="form-control" disabled="disabled" id="fake-team-id" value="@id.get">
                        </div>
                    }
                    <div class="col-sm-3">
                    @helper.input(form("tag")) { (id, name, value, args) =>
                        <label for="@id">Tag</label>
                        <input type="text" class="form-control" name="@name" value="@value" id="@id" />
                    }
                    </div>
                    <div class="col-sm">
                    @helper.input(form("name")) { (id, name, value, args) =>
                        <label for="@id">Name</label>
                        <input type="text" class="form-control" name="@name" value="@value" id="@id" />
                    }
                    </div>
                </div>
                <div class="row">
                    <div class="col-sm">
                    @helper.input(form("colorDiscord")) { (id, name, value, args) =>
                        <label for="@id">Discord Color</label>
                        <input type="text" class="form-control" name="@name" value="@value" id="@id" minlength="6" maxlength="7" />
                    }
                    </div>
                    <div class="col-sm">
                    @helper.input(form("colorRoster")) { (id, name, value, args) =>
                        <label for="@id">Roster Text Color</label>
                        <input type="text" class="form-control" name="@name" value="@value" id="@id" minlength="6" maxlength="7" />
                    }
                    </div>
                    <div class="col-sm">
                    @helper.input(form("colorRosterBg")) { (id, name, value, args) =>
                        <label for="@id">Roster BG Color</label>
                        <input type="text" class="form-control" name="@name" value="@value" id="@id" minlength="6" maxlength="7" />
                    }
                    </div>
                </div>
                <div class="row">
                    <div class="col-sm">
                        @helper.input(form("park")) { (id, name, value, args) =>
                            <label for="@id">Park</label>
                            <select class="custom-select" name="@name" id="@id">
                                @parks.find(_.name == "Neutral Park").map { neutral =>
                                        @if(value.contains(neutral.id.toString)) {
                                            <option value="@neutral.id" selected="selected">@neutral.name</option>
                                        } else {
                                            <option value="@neutral.id">@neutral.name</option>
                                        }
                                }
                                @for(park <- parks.filter(_.name != "Neutral Park").sortBy(_.name)) {
                                    @if(value.contains(park.id.toString)) {
                                        <option value="@park.id" selected="selected">@park.name</option>
                                    } else {
                                        <option value="@park.id">@park.name</option>
                                    }
                                }
                            </select>
                        }
                    </div>
                    <div class="col-sm">
                    @helper.input(form("discordRole")) { (id, name, value, args) =>
                        <label for="@id">Discord Role</label>
                        <input class="form-control" name="@name" id="@id" value="@value" minlength="18" maxlength="18">
                    }
                    </div>
                </div>
                <div class="row">
                    <div class="col-sm">
                        @helper.input(form("milr")) { (id, name, value, args) =>
                            <label for="@id">MiLR?</label>
                            <select name="@name" id="@id" class="custom-select">
                                <option value="false">No</option>
                                @if(value.contains("true")){
                                    <option value="true" selected="selected">Yes</option>
                                } else {
                                    <option value="true">Yes</option>
                                }
                            </select>
                        }
                    </div>
                    <div class="col-sm">
                        @helper.input(form("milrTeam")) { (id, name, value, args) =>
                          <label for="@id">MiLR Team</label>
                          <select name="@name" id="@id" class="custom-select">
                              <option value="">None</option>
                              @for(team <- milrTeams) {
                                  @if(value.contains(team.id.toString)) {
                                      <option value="@team.id" selected="selected">@team.name</option>
                                  } else {
                                      <option value="@team.id">@team.name</option>
                                  }
                              }
                          </select>
                        }
                    </div>
                </div>
                <button type="submit" class="btn btn-success mt-2">Submit</button>
            }
        </div>
    </body>
</html>